// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.commands.requin;

import edu.wpi.first.wpilibj2.command.Command;
import frc.robot.subsystems.Bougie;
import frc.robot.subsystems.Requin;

/* You should consider using the more terse Command factories API instead https://docs.wpilib.org/en/stable/docs/software/commandbased/organizing-command-based.html#defining-commands */
public class BalayeuseAlgue extends Command {
  private Requin requin;
  private Bougie bougie;
  /** Creates a new Balayeuse. */
  public BalayeuseAlgue(Requin requin, Bougie bougie) {
    this.requin = requin;
    this.bougie =bougie;
    addRequirements(requin,bougie);
    // Use addRequirements() here to declare subsystem dependencies.
  }

  // Called when the command is initially scheduled.
  @Override
  public void initialize() {}

  // Called every time the scheduler runs while the command is scheduled.
  @Override
  public void execute() {
    double cibleMin = 700;
    double cibleMax = 900;

     if(requin.amp()>=78.2){
       requin.xRequin = true;
      }
     if(requin.xRequin){
      bougie.Vert();
      requin.balaye(0);
      }
      if(!requin.xRequin){
        if(requin.encodeur()<=cibleMax &&  requin.encodeur()>=cibleMin){
          requin.rotationer(0);
          requin.balaye(-0.4);
        }
        else if(requin.encodeur()>=cibleMax){
          requin.rotationer(-0.1);
        }
        else{
          requin.rotationer(0.3);
        }
      }
   }

  // Called once the command ends or is interrupted.
  @Override
  public void end(boolean interrupted) {
    requin.rotationer(0);
    requin.balaye(0);
    requin.xRequin = false;
  }

  // Returns true when the command should end.
  @Override
  public boolean isFinished() {
    return false;
  }
}
